### Method

# Gtk TextBuffer set_modified

#### Declaration [src]

    void
    gtk_text_buffer_set_modified (
      GtkTextBuffer* buffer,
      gboolean setting
    )

#### Description [src]

Used to keep track of whether the buffer has been modified since the last time it was saved.

Whenever the buffer is saved to disk, call `gtk_text_buffer_set_modified (`buffer`, FALSE)`. When the buffer is modified, it will automatically toggle on the modified bit again. When the modified bit flips, the buffer emits the `GtkTextBuffer::modified-changed` signal.

#### Parameters

`setting`

  Type: `gboolean`

  Modification flag setting.